<router-outlet></router-outlet>

<mat-card>Ingrese los datos del paciente</mat-card>

<form class="example-container" [formGroup]="form" (ngSubmit)="operar()" #frmPaciente="ngForm">

    <div [hidden]="true">
      <mat-form-field class="example-full-width">
        <input matInput placeholder="ID" required formControlName="id">
      </mat-form-field>
    </div>
  
    <mat-form-field class="example-full-width">
      <input matInput placeholder="Nombres" required formControlName="nombres">
    </mat-form-field>
  
    <mat-form-field class="example-full-width">
      <input matInput placeholder="Apellidos" required formControlName="apellidos">
    </mat-form-field>
  
    <mat-form-field class="example-full-width">
      <input matInput placeholder="DNI" required formControlName="dni" type="number">
    </mat-form-field>
  
    <mat-form-field class="example-full-width">
      <input matInput placeholder="Dirección" required formControlName="direccion">
    </mat-form-field>
  
    <mat-form-field class="example-full-width">
      <input matInput placeholder="Teléfono" required formControlName="telefono" type="number" >
    </mat-form-field>
  
    <button mat-raised-button color="primary" type="submit" [disabled]="frmPaciente.invalid">
      <mat-icon>done</mat-icon>
      <span>Aceptar</span>
    </button>
    <button mat-raised-button color="accent" routerLink='/paciente' type="button">
      <mat-icon>close</mat-icon>
      <span>Cancelar</span>
    </button>
  </form>